[Bug 244238] Re: Firefox 3.0 ignores firefox xpi language packs

Eduardo Trápani etrapani at gmail.com
Tue Jul 1 19:18:59 UTC 2008

If you carefully read the original report you will see that I was trying
to install the Persian language pack.

The current language pack approach from Ubuntu breaks the language
switcher extension and in fact reduces the choices of languages packs to
those already present in Ubuntu.  It's harder to develop new language
packs and test them.

Why would Ubuntu cripple firefox like that?  And make it difficult for
users to install simple, small extensions (language .xpi packs) that
render their browsers more usable?

>> I'm guessing that Ubuntu has modified firefox to use language packs from
>> APT repositories, rather than XPI files. Try "sudo aptitude install
>> firefox-locale-es-es".

Such a change, if Ubuntu made it, is a bug.  It breaks things.


Firefox 3.0 ignores firefox xpi language packs
You received this bug notification because you are a member of Mozilla
Bugs, which is subscribed to firefox-3.0 in ubuntu.

More information about the Ubuntu-mozillateam-bugs mailing list